/*
  Analog Input
 Demonstrates analog input by reading an analog sensor on analog pin 0 and
 turning on and off a light emitting diode(LED)  connected to digital pin 13. 
 The amount of time the LED will be on and off depends on
 the value obtained by analogRead(). 
 
 The circuit:
 * Potentiometer attached to analog input 0
 * center pin of the potentiometer to the analog pin
 * one side pin (either one) to ground
 * the other side pin to +5V
 * LED anode (long leg) attached to digital output 13
 * LED cathode (short leg) attached to ground
 
 * Note: because most Arduinos have a built-in LED attached 
 to pin 13 on the board, the LED is optional.
 
 
 Created by David Cuartielles
 modified 30 Aug 2011
 By Tom Igoe
 
 This example code is in the public domain.
 
 http://arduino.cc/en/Tutorial/AnalogInput
 
 */
int sensorPin = A1;
int sensorPin2 = A2;
int sensorResistor = A0; // select the input pin for the potentiometer
int led = 12;      // select the pin for the LED
int sensorValue = 0;  // variable to store the value coming from the sensor
int resistorValue = 0;
int sensorValue2 =0;
void setup() {
  // declare the ledPin as an OUTPUT:
  pinMode(led, OUTPUT);  
  Serial.begin(9600);
}

void loop() {
  // read the value from the sensor:
  sensorValue = analogRead(sensorPin); 
  //Serial.println("Sensor left: ");
  //Serial.println(sensorValue2);
  //Serial.println("sensor right: ");
  //Serial.println(sensorValue);
  Serial.println(sensorValue);
  
  sensorValue2 = analogRead(sensorPin2);
  resistorValue = analogRead(sensorResistor);  
  // turn the ledPin on
  if (sensorValue < 10)
  {
    digitalWrite(led, HIGH);
  }
  else
  {
    digitalWrite(led, LOW);
  }
  delay(100);
  //digitalWrite(ledPin, HIGH);  
  // stop the program for <sensorValue> milliseconds:
  //delay(sensorValue);          
  // turn the ledPin off:        
  //digitalWrite(ledPin, LOW);   
  // stop the program for for <sensorValue> milliseconds:
  //delay(sensorValue);                  
}
